Bug 41112 - Invalid memberUid entries at exam group
Invalid memberUid entries at exam group
Status: CLOSED FIXED
Product: UCS@school
Classification: Unclassified
Component: UMC - Exam mode
UCS@school 4.0 R2
Other Linux
: P5 normal (vote)
: UCS@school 4.1 R2
Assigned To: Florian Best
Daniel Tröder
:
Depends on: 36251 39600
Blocks: 38226
  Show dependency treegraph
 
Reported: 2016-04-25 13:26 CEST by Jens Thorp-Hansen
Modified: 2016-06-28 18:24 CEST (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): External feedback
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jens Thorp-Hansen univentionstaff 2016-04-25 13:26:28 CEST
Fix not in 4.1 latest @School-version?

see also: Ticket#2016042521000289

+++ This bug was initially created as a clone of Bug #39600 +++

The last fix was not sufficient. Only adding the UID to memberUID has been fixed but not the removal. Thus, now the valid memberUID entries will not get removed from LDAP if the exam mode is stopped.

+++ This bug was initially created as a clone of Bug #36251 +++

When starting an exam mode, all users of the selected class/group and all computers of the selected room are added as member to the exam group ("cn=OU${OU}-Klassenarbeit").
While the attribute values for users are correct, the memberUid entry for the computer member is not correct. The $ sign is missing.

# OUgrundschule-Klassenarbeit, ucsschool, groups, ucsatschool.demo
dn: cn=OUgrundschule-Klassenarbeit,cn=ucsschool,cn=groups,dc=ucsatschool,dc=demo
sambaGroupType: 2
cn: OUgrundschule-Klassenarbeit
objectClass: top
objectClass: posixGroup
objectClass: univentionGroup
objectClass: sambaGroupMapping
objectClass: univentionObject
univentionObjectType: groups/group
gidNumber: 5094
univentionGroupType: -2147483646
sambaSID: S-1-5-21-2487603509-1121409813-4031083802-1133
memberUid: winpc6
memberUid: exam-john.doe
uniqueMember: cn=winpc6,cn=computers,ou=Grundschule,dc=ucsatschool,dc=demo
uniqueMember: uid=exam-john.doe,cn=examusers,ou=Grundschule,dc=ucsatschool,dc=demo

Found entry:    memberUid: winpc6
Expected entry: memberUid: winpc6$

This way, there may be an naming conflict between users and computers.
Comment 1 Sönke Schwardt-Krummrich univentionstaff 2016-04-26 10:29:35 CEST
(In reply to Jens Thorp-Hansen from comment #0)
> Fix not in 4.1 latest @School-version?

Confirmed, not fixed in UCS@school 4.1. :-(
Comment 2 Florian Best univentionstaff 2016-04-26 10:40:52 CEST
It's not merged.
Comment 3 Florian Best univentionstaff 2016-04-26 10:46:19 CEST
ucs-school-umc-exam.yaml:
r68905 | Bug #41112: remove exam computers from exam group

ucs-school-umc-exam (6.0.0-1):
r68905 | Bug #41112: remove exam computers from exam group
Comment 4 Daniel Tröder univentionstaff 2016-06-20 16:07:14 CEST
OK: Code
OK: Manual test of exam mode. When looking at the LDAP, found what was expected:

dn: cn=OUmyschool-Klassenarbeit,cn=ucsschool,cn=groups,dc=nstx,dc=local
memberUid: winpc01$
memberUid: exam-user1
uniqueMember: cn=winpc01,cn=computers,ou=MySchool,dc=nstx,dc=local
uniqueMember: uid=exam-user1,cn=examusers,ou=MySchool,dc=nstx,dc=local
Comment 5 Sönke Schwardt-Krummrich univentionstaff 2016-06-21 09:46:03 CEST
> The last fix was not sufficient. Only adding the UID to memberUID has been 
> fixed but not the removal

(In reply to Daniel Tröder from comment #4)
> OK: Manual test of exam mode. When looking at the LDAP, found what was
> expected:
> 
> dn: cn=OUmyschool-Klassenarbeit,cn=ucsschool,cn=groups,dc=nstx,dc=local
> memberUid: winpc01$
> memberUid: exam-user1
> uniqueMember: cn=winpc01,cn=computers,ou=MySchool,dc=nstx,dc=local
> uniqueMember: uid=exam-user1,cn=examusers,ou=MySchool,dc=nstx,dc=local

Have you tested, what is stored in LDAP after stopping the exam? All memberUid and uniqueMember entries should have been removed.
Comment 6 Daniel Tröder univentionstaff 2016-06-21 10:30:58 CEST
(In reply to Sönke Schwardt-Krummrich from comment #5)
> > The last fix was not sufficient. Only adding the UID to memberUID has been 
> > fixed but not the removal
> 
> (In reply to Daniel Tröder from comment #4)
> > OK: Manual test of exam mode. When looking at the LDAP, found what was
> > expected:
> > 
> > dn: cn=OUmyschool-Klassenarbeit,cn=ucsschool,cn=groups,dc=nstx,dc=local
> > memberUid: winpc01$
> > memberUid: exam-user1
> > uniqueMember: cn=winpc01,cn=computers,ou=MySchool,dc=nstx,dc=local
> > uniqueMember: uid=exam-user1,cn=examusers,ou=MySchool,dc=nstx,dc=local
> 
> Have you tested, what is stored in LDAP after stopping the exam? All
> memberUid and uniqueMember entries should have been removed.
OK: When the exam has ended, all memberUid and uniqueMember entries have been removed.
Comment 7 Florian Best univentionstaff 2016-06-28 18:24:55 CEST
UCS@school 4.1 R2 has been released:
http://docs.software-univention.de/release-notes-ucsschool-4.1R2v1-de.pdf

If this error occurs again, please use "Clone This Bug".